curl --request POST \
--url https://thalamus.nerds.nl/api/v1/queue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "callback",
"phone": "+31612345678",
"campaign_uuid": "770e8400-e29b-41d4-a716-446655440000",
"skill_uuid": "550e8400-e29b-41d4-a716-446655440000",
"name": "John Doe",
"email": "john@example.com",
"reference": "328099",
"agent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>",
"datetime_start": "2023-11-07T05:31:56Z"
}
'{
"success": true,
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"type": "<string>",
"phone": "<string>",
"name": "<string>",
"email": "<string>",
"status": "<string>",
"campaign_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"datetime_start": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}Creates a new queue record or updates an existing one if a duplicate is detected (same phone + type + status=open for the partner).
curl --request POST \
--url https://thalamus.nerds.nl/api/v1/queue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "callback",
"phone": "+31612345678",
"campaign_uuid": "770e8400-e29b-41d4-a716-446655440000",
"skill_uuid": "550e8400-e29b-41d4-a716-446655440000",
"name": "John Doe",
"email": "john@example.com",
"reference": "328099",
"agent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>",
"datetime_start": "2023-11-07T05:31:56Z"
}
'{
"success": true,
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"type": "<string>",
"phone": "<string>",
"name": "<string>",
"email": "<string>",
"status": "<string>",
"campaign_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"datetime_start": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}Partner API key (e.g. nerds_live_a8f3d9k2m5n7p1q4r6t8v0w2x4y6z8)
callback, appointment, ticket, chat, abandoned "callback"
"+31612345678"
"770e8400-e29b-41d4-a716-446655440000"
"550e8400-e29b-41d4-a716-446655440000"
"John Doe"
"john@example.com"
Ticket external ID to link to queue record
"328099"
Assign to specific agent